"""
GUI package for LetterGuesser.

This package provides components for the app's UI, organized
into sub-packages for frames and widgets.

Sub-Packages
------------
frames
    Contains frame components for organizing UI layout.
widgets
    Contains custom widget components like buttons and input fields.

Usage
-----
    from letterguesser.gui.frames import MainFrame
    from letterguesser.gui.widgets import Button

    main_frame = MainFrame()
    main_frame.add_widget(Button(text="Start"))
"""
